﻿:root {
    --GobColor01: #a62043;
    --GobColor01_2: #be3c5e;
    --GobColor02: #691B31;
    --GobColor03: #dfc8a8;
    --GobColor04: #be9462;
    --Color01: #ddcaa2;
    --Color02: #198754;
    --blanco: #fff;
}

nav {
    display: flex;
    text-align: center;
    background-color: var(--GobColor04);
    align-items: center;
    position: relative; /* Asegura que el dropdown se posicione correctamente */
    a{
    color: var(--blanco);
    padding: 15px;
    text-decoration: none;
    font-size: 18px;
}

}
.headUPE {
    text-align: center;
    font-size: 26px;
    font-weight: 600;
    text-transform: uppercase;
    display: inline-block;
    margin: 40px 8px 10px 8px;
    border-bottom: 3px solid var(--GobColor01);
}

.dropdown {
    width: max-content;
    position: relative;
    margin-left: auto;
    margin-right: 10px;
    color: var(--blanco);
    cursor: pointer;
}

    .dropdown:hover .dropdown-content {
        display: block;
        opacity: 1;
        transform: translateY(0);
    }

.dropdown-content {
    width: 100%;
    display: none;
    position: absolute;
    top: 50%; /* Asegura que el dropdown aparezca debajo del elemento */
    margin-top: 10px;
    background-color: var(--blanco);
    border-radius: 8px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    opacity: 0;
    transform: translateY(-10px);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

    .dropdown-content a {
        padding: 15px;
        color: black;
        text-decoration: none;
        display: block;
        border-bottom: 1px solid var(--GobColor03);
        transition: background 0.3s ease, color 0.3s ease;
        border-radius: 8px;
    }

        .dropdown-content a:hover {
            background: var(--GobColor03);
            color: var(--GobColor01);
        }

        .dropdown-content a:last-child {
            border-bottom: none;
        }

body {
    font-family: 'Montserrat', sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
}

footer {
    background-color: var(--GobColor02);
    color: var(--blanco);
    display: flex;
    align-content: center;
    justify-content: center;
    padding: 20px;
    gap:50px;
    p { width:15vw; font-size:1.1vw;}
    img{ width:auto; height:7vw; }
}

h1 {
    text-align: center;
    font-size: 26px;
    text-transform: uppercase;
    display: inline-block;
    margin: 10px 15px 10px 15px;
    margin-bottom: 1vh;
    border-bottom: 3px solid var(--GobColor01);
}
h2 {
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    text-transform: uppercase;
    display: inline-block;
    border-bottom: 3px solid var(--GobColor01);
}
h3 {
    text-align: center;
    font-size: 10px;
    font-weight: 400;
    text-transform: uppercase;
    display: inline-block;
    margin-bottom:3vh;
    font-style:italic;
}
h4 {
    text-align: center;
    font-size: 17px;
    text-transform: uppercase;
    margin: 10px 8px 15px 8px;
}

h5 {
    white-space: nowrap;
    display: inline-block; /* Opcional para asegurarte de que no se comporte como un bloque completo */
    overflow: hidden; /* Opcional para manejar el desbordamiento */
    text-overflow: ellipsis; /* Opcional si deseas mostrar "..." cuando el texto sea muy largo */
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5vh;
    gap: 20px;
    flex: 1;
}

/*_________________BOTON__________________*/
input[type="submit"], button {
    border: none;
    color: var(--blanco);
    cursor: pointer;
    border-radius: 10px;
    padding: 20px;
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom:35px;
}

    input[type="submit"].upe {
        width: 70%;
        white-space: normal;
        word-break: break-word;
        padding: 20px;
        box-sizing: border-box;
        background-color: var(--GobColor01);
        &:hover{transform: scale(.98);background-color: var(--GobColor01_2);}
}
input[type="submit"].formulario {
    margin-top:5vh;
    width: 40%;
    background-color: var(--GobColor01);
    &:hover{transform: scale(.98);background-color: var(--GobColor01_2);}
}
input[type="submit"].success, button.success {
    margin-top: 5vh;
    width: 40%;
    background-color: darkgreen;
    &:hover{transform: scale(.98);background-color: green;}
}
input[type="submit"].error, button.error {
    margin-top: 5vh;
    width: 40%;
    background-color: red;
    &:hover{transform: scale(.98);background-color: darkred;}
}
.grupBoton{
    display: flex;
    gap: 20px;
    width: 40%;
    justify-content: space-between;
}
/*_________________BOTON__________________*/

/* -------------------------- Textbox --------------------------*/
span {
    position: relative;
    display: flex;
    width: 80%;
}

span input[type="text"], span input[type="MultiLine"], span input[type="password"],span input[type="date"], span input[type="number"] {
    color: var(--GobColor04);
    font-size: 20px;
    border: none;
    outline: 0px;
    width: 98%;
    border-bottom: 2px solid var(--GobColor01);
}

span label.text-nomb, span span.text-nomb {
    position: absolute;
    bottom: 0;
    left: 0;
    font-size: 20px;
    width: 100%;
    height: 100%;
    pointer-events: none;
    text-transform: uppercase;
    transition: all 0.3s ease;
    color: var(--GobColor03);
    &:after{content: '';
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    height: 100%;
    transition: all 0.3s ease;}
}


span input:focus + .text-nomb, span input:valid + .text-nomb {
    transform: translateY(-50%);
    font-size: 10px;
    font-weight: bold;
    &:after {transform: translateX(0%);}
}
span input[type="date"].date-input + .text-nomb {
    transform: translateY(-50%);
    font-size: 10px;
    font-weight: bold;
}
/* -------------------------- Textbox --------------------------*/
/* -------------------------- Checkbox --------------------------*/
input[type="checkbox"] {
    display: none;
}

    input[type="checkbox"] + label,
    input[type="checkbox"] ~ label {
        font-weight: bold;
        line-height: 2em;
        color: #000;
        cursor: default;
    }

    input[type="checkbox"]:checked + label,
    input[type="checkbox"]:checked ~ label {
        color: #0fbf12;
    }

        input[type="checkbox"] + label:before,
        input[type="checkbox"]:checked + label:before {
            content: "";
            width: 20px;
            height: 20px;
            float: left;
            margin: 0.2em 0.2em 0 0;
            border: 3px solid #000;
        }

        input[type="checkbox"]:checked + label:before {
            border-color: #0fbf12;
        }

        input[type="checkbox"]:checked + label:after {
            content: "";
            width: 12px;
            height: 6px;
            border: 4px solid #0fbf12;
            float: left;
            margin-left: -1.45em;
            border-right: 0;
            border-top: 0;
            margin-top: .5em;
            transform: rotate(-55deg);
        }
/* -------------------------- Checkbox --------------------------*/

.stikMesage {
    position: fixed;
    bottom: 5%;
    right: 12px;
    z-index: 1000;
    min-height: 120px;
    text-align: center;
    word-wrap: break-word;
    width: 300px;
    background-color: #f2bdd4;
    border-radius: 10px;
    padding: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    font-weight: bold;
    opacity: 80%;
}

.toast {
    padding: 25px;
    border: none;
    font-weight: 500;
    border-radius: 5px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.885);
    cursor: pointer;
    width: 350px;
    color: #fff;
    position: fixed;
    top: 65px;
    right: 20px;
    z-index: 9999;
    background-color: #ffc107; /* Amarillo sólido */
    transition: background-color 0.3s, opacity 0.3s;
    font-size: 18px;
    text-shadow: 1px 1px 4px #444;
}

.divMenuGrid {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    gap: 22px;
    padding-top: 40px;
    padding-bottom: 90px;
    width: 80%;
}

.divMenuItem {
    background-color: var(--GobColor01);
    text-transform: uppercase;
    border-radius: 8px;
    font-weight: bold;
    color: var(--blanco);
    text-decoration: dashed;
    transition: all .3s ease-in-out;
    text-align: center;
    padding: 10%;
    &:hover { transform: scale(1.1); box-shadow: 0px 0px 30px #000; border-radius: 8px; }
    img{ width: 100%; }
}

.tablas {
    border-style: none;
    border-color:var(--GobColor03);
    border-width: medium;
    width: 60%;
    padding-bottom: 15px;
    td{text-align: left}
    th {
        text-size-adjust: auto;
        text-align: right;
        font-size: 17px;
        font-weight: bolder;}
}
.tBg {text-align: right; background:var(--GobColor01);color:white; font-weight: bold; td{padding:15px}}
.tBg2 {text-align: right; border-color:var(--GobColor03); background:var(--GobColor03); th{padding:10px}}


.txt {
    border: none;
    padding: 15px 32px;
    text-align: left;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    width: 78%;
    border-radius: 5px;
    border: 3px solid var(--GobColor01);
}
.fichaFondo {
    background-color: rgba(0, 0, 0, 0.8);
    position: fixed;
    top: 0%;
    left: 0%;
    height: 100%;
    width: 100%;
    display: grid;
    place-items: center;
}

.contenedor-vertical {
    display: flex;
    gap:1rem;
    flex-direction: column;
    align-items: center; /* Centra horizontalmente */
    justify-content: center; /* Centra verticalmente */
    padding: 2rem; /* Espaciado interno opcional */
    box-sizing: border-box; /* Asegura que el padding no rompa el diseño */
}

.fila-horizontal {
    display: flex;
}

.canvas-lado,
.tabla-lado {
    gap: 8rem;
    flex: 50%; /* Ajuste flexible para distintas resoluciones */
    max-width: 600px;
    box-sizing: border-box;
}

.popCN {
    background-color: var(--blanco);
    border-radius: 10px;
    width: 70%;
    padding-bottom: 20px;
    display: grid;
    place-items: center;
    img {width: 20%;}
}
.popCN a {
    margin-left: 5%;
    margin-right: 5%;
    color: var(--GobColor01);
    font-weight: bold;
}
.login {
    display: flex;
    flex-direction: column;
    width: 90%; /* Mejor para móviles */
    max-width: 500px; /* Límite superior para pantallas grandes */
    margin: 0 auto; /* Centrado horizontal */
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    box-shadow: 0 30px 60px 0 rgba(0, 0, 0, 0.3);
    gap: 1rem;
    padding: 2rem;
    background-color: white; /* Si no hay fondo asignado */
}

    .login img {
        width: 80%;
        max-width: 200px;
        margin-bottom: 2vh;
        height: auto;
    }

.contenido {
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

#print {
    width: 50%;
    display: grid;
    place-items: center;
}
.box {
    display: flex;
    align-items: stretch;
    gap: 20px;
}
.contenBox {
    display: grid;
    place-items: center;
    width: 80%;
    span{margin-bottom:25px;}
}
.contenido100 {
    display: grid;
    place-items: center;
    width: 98%;
}




//// Responsive Design ////

.cards-container {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    gap: 22px;
    padding-top: 40px;
    padding-bottom: 90px;
    width: 80%;
}

.card {
    background: #fff;
    border-radius: 1.8rem;
    text-align: center;
    padding: .5rem 1.2rem;
    position: relative;
    box-shadow: 0.063em 0.75em 1.563em rgba(0, 0, 0, 0.2);
    /* 🔹 mismo alto para todas */
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 250px;
}

    .card::before {
        content: "";
        position: absolute;
        inset: 0;
        border-radius: 1.8rem;
        padding: 0.15rem;
        background: linear-gradient(45deg, #f2f2f2, #a62043);
        -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
        -webkit-mask-composite: destination-out;
        mask-composite: exclude;
        pointer-events: none;
    }

.card-body h3 {
    color: #a62043;
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

.card-body p {
    color: #555;
    font-size: 1rem;
    margin-bottom: 1rem;
}

.datos {
    font-weight: 600;
    color: #333;
}

    .datos span:first-child {
        color: #a62043;
    }
////// Responsive Design ////

@media only screen and (max-width: 700px) {
    .fila-horizontal {
        flex-direction: column;
    } 
}
@media (max-width: 768px) {
    .login {
        width: 95%;
        padding: 1.5rem;
    }

        .login img {
            max-width: 150px;
        }
}

@media (max-width: 480px) {
    .login {
        padding: 1rem;
    }
}